<ActionTemplates>
   <Action>
      <Name>ListBox.AddItem</Name>
      <Description>Adds an item to a listbox object.</Description>
      <ReturnValueType>number</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Text</Name>
            <Description>The item text to display.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>"New Item"</Default>
               <DataType>string</DataType>
               <Constraints>none</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Data</Name>
            <Description>The item data to associate with the item text.</Description>
            <Type>string</Type>
            <Default>""</Default>
            <Required>0</Required>
            <EasyMode>
               <Default>""</Default>
               <DataType>string</DataType>
               <Constraints>none</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>ListBox.DeleteItem</Name>
      <Description>Removes an item from a listbox object.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Index</Name>
            <Description>The index (or line number) of the item to remove from the listbox object.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>1</Default>
               <DataType>number</DataType>
               <Constraints>-1,*</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>ListBox.DeselectItem</Name>
      <Description>Deselects a currently selected item in a listbox object.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Index</Name>
            <Description>The index (or line number) of the item to deselect in the listbox object</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>1</Default>
               <DataType>number</DataType>
               <Constraints>-1,*</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>ListBox.FindItem</Name>
      <Description>Searches through the items in a listbox object for a specific string and returns the index (line number) where it was found.</Description>
      <ReturnValueType>number</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>StartAfter</Name>
            <Description>The index (line number) to start searching after. The search will begin in the next item in the list. You can use an index of -1 (or variable LB_ALLITEMS) to search all listbox items.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>1</Default>
               <DataType>number</DataType>
               <Constraints>-1,*</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>SearchType</Name>
            <Description>The type of search to perform.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>LB_BYTEXT</Default>
               <DataType>combo</DataType>
               <Constraints>LB_BYTEXT,LB_BYDATA,LB_BYTEXTDATA</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>SearchText</Name>
            <Description>The string of text to search for in the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>"find me"</Default>
               <DataType>string</DataType>
               <Constraints>none</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>ListBox.GetCount</Name>
      <Description>Returns the number of items in a specific listbox object.</Description>
      <ReturnValueType>number</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>ListBox.GetItemData</Name>
      <Description>Returns the item data associated to a specific item in a listbox object.</Description>
      <ReturnValueType>string</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Index</Name>
            <Description>The index (line number) whose item data you want.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>1</Default>
               <DataType>number</DataType>
               <Constraints>1,*</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>ListBox.GetItemText</Name>
      <Description>Returns the item text associated with a specific item in a listbox object.</Description>
      <ReturnValueType>string</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Index</Name>
            <Description>The index (line number) whose item text you want.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>1</Default>
               <DataType>number</DataType>
               <Constraints>1,*</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>ListBox.GetPos</Name>
      <Description>Returns the X and Y page coordinates of a listbox object in pixels.</Description>
      <ReturnValueType>table</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>ListBox.GetProperties</Name>
      <Description>Returns a table containing the properties of the specified object.</Description>
      <ReturnValueType>table</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>ListBox.GetSelected</Name>
      <Description>Returns a table containing the indexes (line numbers) of all of the selected items in a specific listbox object.</Description>
      <ReturnValueType>table</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>ListBox.GetSelectedCount</Name>
      <Description>Returns the number of currently selected items in a specific listbox object.</Description>
      <ReturnValueType>number</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>ListBox.GetSize</Name>
      <Description>Returns the pixel dimensions of a listbox object.</Description>
      <ReturnValueType>table</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>ListBox.InsertItem</Name>
      <Description>Inserts a new item into a listbox object at a specific index.</Description>
      <ReturnValueType>number</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Index</Name>
            <Description>The index (line number) to insert the new item.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>1</Default>
               <DataType>number</DataType>
               <Constraints>-1,*</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Text</Name>
            <Description>The item text to display for the new item.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>"Item Text"</Default>
               <DataType>string</DataType>
               <Constraints>none</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Data</Name>
            <Description>The optional item data to associate with the new item.</Description>
            <Type>string</Type>
            <Default>""</Default>
            <Required>0</Required>
            <EasyMode>
               <Default>""</Default>
               <DataType>string</DataType>
               <Constraints>none</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>ListBox.IsEnabled</Name>
      <Description>Returns true if a specific listbox object is enabled, or false if it's disabled.</Description>
      <ReturnValueType>boolean</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>ListBox.IsItemSelected</Name>
      <Description>Returns true if a specific listbox item is selected, or false if it's not selected.</Description>
      <ReturnValueType>boolean</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Index</Name>
            <Description>The item index whose selection state you want.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>1</Default>
               <DataType>number</DataType>
               <Constraints>1,*</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>ListBox.IsVisible</Name>
      <Description>Returns true if a specific listbox object is visible, and false if it isn't.</Description>
      <ReturnValueType>boolean</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>ListBox.SelectItem</Name>
      <Description>Selects an item in a specific listbox object.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Index</Name>
            <Description>The item to select in the listbox object. If the object has "multiple selection" enabled, you can use -1 (or LB_ALLITEMS) to select all items in the list.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>1</Default>
               <DataType>number</DataType>
               <Constraints>-1,*</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>ListBox.SetItemData</Name>
      <Description>Sets the text of a listbox item's associated data.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Index</Name>
            <Description>The index (line number) whose item data you want to set.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>1</Default>
               <DataType>number</DataType>
               <Constraints>1,*</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Data</Name>
            <Description>The associated item data string to set.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>"New Data"</Default>
               <DataType>string</DataType>
               <Constraints>none</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>ListBox.SetItemText</Name>
      <Description>Sets the item text for a specific item in a listbox object.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Index</Name>
            <Description>The index (line number) whose item text you want to set.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>1</Default>
               <DataType>number</DataType>
               <Constraints>1,*</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Text</Name>
            <Description> The text to display for the lisbox item.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>"New Text"</Default>
               <DataType>string</DataType>
               <Constraints>none</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>ListBox.SetPos</Name>
      <Description>Sets the X and Y pixel coordinates of a listbox object relative to the page.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>X</Name>
            <Description>The new X pixel coordinate (horizontal position) to set for the listbox object. This is the X coordinate of the upper left hand corner of the object's bounding box relative to the page.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>0</Default>
               <DataType>number</DataType>
               <Constraints>0,*</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Y</Name>
            <Description>The new Y pixel coordinate (vertical position) to set for the listbox object. This is the Y coordinate of the upper left hand corner of the object's bounding box relative to the page.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>0</Default>
               <DataType>number</DataType>
               <Constraints>0,*</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>ListBox.SetProperties</Name>
      <Description>Sets the properties of a listbox object on the page.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Properties</Name>
            <Description>A table containing the properties you want to modify in the listbox object, indexed by name.</Description>
            <Type>table</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>nil</Default>
               <DataType>table</DataType>
               <Constraints>none</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>ListBox.SetSize</Name>
      <Description>Sets the size of a listbox object.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Width</Name>
            <Description>The new width of the listbox object.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>100</Default>
               <DataType>number</DataType>
               <Constraints>0,*</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Height</Name>
            <Description>The new height of the listbox object.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>100</Default>
               <DataType>number</DataType>
               <Constraints>0,*</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>ListBox.SetVisible</Name>
      <Description>Sets the visibility of a listbox object.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Visible</Name>
            <Description>Whether to make the listbox object visible or invisible.</Description>
            <Type>boolean</Type>
            <Default>true</Default>
            <Required>0</Required>
            <EasyMode>
               <Default>true</Default>
               <DataType>boolean</DataType>
               <Constraints>none</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>ListBox.SetEnabled</Name>
      <Description>Sets the enabled/disabled state of a listbox object.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Enabled</Name>
            <Description>Whether to make the listbox object enabled or disabled.</Description>
            <Type>boolean</Type>
            <Default>true</Default>
            <Required>0</Required>
            <EasyMode>
               <Default>true</Default>
               <DataType>boolean</DataType>
               <Constraints>none</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>ListBox.SetUpdate</Name>
      <Description>Sets the enabled/disabled update state of a listbox object.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the listbox object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>listbox</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Enabled</Name>
            <Description>Whether to make the listbox object's update state enabled or disabled.</Description>
            <Type>boolean</Type>
            <Default>true</Default>
            <Required>0</Required>
            <EasyMode>
               <Default>true</Default>
               <DataType>boolean</DataType>
               <Constraints>none</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
</ActionTemplates>